Description: workaround https://bugs.debian.org/1003044
Author: Jérémy Lal <kapouer@melix.org>
Last-Update: 2023-01-03
Forwarded: not-needed
--- a/awx/main/models/schedules.py
+++ b/awx/main/models/schedules.py
@@ -8,7 +8,7 @@
 import dateutil.rrule
 import dateutil.parser
 from dateutil.tz import datetime_exists, tzutc
-from dateutil.zoneinfo import get_zonefile_instance
+from zoneinfo import available_timezones
 
 # Django
 from django.db import models
@@ -93,16 +93,11 @@
 
     @classmethod
     def get_zoneinfo(cls):
-        return sorted(get_zonefile_instance().zones)
+        return sorted(available_timezones())
 
     @classmethod
     def get_zoneinfo_links(cls):
-        return_val = {}
-        zone_instance = get_zonefile_instance()
-        for zone_name in zone_instance.zones:
-            if str(zone_name) != str(zone_instance.zones[zone_name]._filename):
-                return_val[zone_name] = zone_instance.zones[zone_name]._filename
-        return return_val
+        return {}
 
     @property
     def timezone(self):
